﻿//----------------------------------------------------
// BeamProperties.cs (c) 2019 by Enes Siljak
//----------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Autodesk.AdvanceSteel.CADAccess;
using Autodesk.AdvanceSteel.CADLink.Database;
using Autodesk.AdvanceSteel.ConstructionHelper;
using Autodesk.AdvanceSteel.ConstructionTypes;
using Autodesk.AdvanceSteel.DocumentManagement;
using Autodesk.AdvanceSteel.Geometry;
using Autodesk.AdvanceSteel.Modelling;
using Autodesk.AdvanceSteel.Profiles;
using Autodesk.AdvanceSteel.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.EditorInput;

namespace AsCreateStructure
{
    class BeamProperties
    {
        public Point3d start, end;
        public SteelSection steelSection;

        /// <summary>
        /// Axial rotation
        /// </summary>
        public double theta_deg;

        public BeamProperties(Point3d start, Point3d end)
        {
            this.start = start;
            this.end = end;

        }

        public void setTheta(double theta)
        {
            this.theta_deg = theta;
        }

        public override string ToString()
        {
            return String.Format("{0} {1}", start, end);
        }

        public void setSection(SteelSection sec)
        {
            this.steelSection = sec;
        }
    }
}
